Bug Hunting Session
Bug 112199 - Incorrect enabled state handling for 'Find Next/Previous' in Find toolbar
Summary: Incorrect enabled state handling for 'Find Next/Previous' in Find toolbar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-03 19:54 UTC by Jim Raykowski
Modified: 2017-09-09 18:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
visual of findbar items to show enable issue (3.50 KB, image/png)
2017-09-04 02:30 UTC, Jim Raykowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2017-09-03 19:54:34 UTC
There is a bug in the way enabled states are handled for 'Find Next' and 'Find Previous' in the Find toolbar.

I have committed a patch that corrects this and adds the same enabled state dependency to 'Find All'.

It can be found at https://gerrit.libreoffice.org/#/c/41264/
Change-Id: I01d4f0effaa343e1498d9610755b256761dacfd7
Comment 1 Thorsten Behrens (CIB) 2017-09-04 01:25:05 UTC
Not sure I see this bug - can you expand what's wrong with current behaviour?
Comment 2 Jim Raykowski 2017-09-04 02:30:31 UTC
Created attachment 135990 [details]
visual of findbar items to show enable issue
Comment 3 Jim Raykowski 2017-09-04 02:34:05 UTC
The intent of the code is to enable/disable the Previous and Next command items but the Next and Find all command items are being enabled/disabled.  
    
Screenshot1.png shows only the placeholder text entered in the Find box. The Previous item is enabled. The Next and Find all command items are disabled.
Comment 4 Commit Notification 2017-09-05 09:55:27 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b816e24ac1dd7d725ff2ec33f9aa913a2c7b68c4

tdf#112199 Fix and extend enabled state for items in find toolbar

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Buovjaga 2017-09-09 18:47:14 UTC
Confirmed fix.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: a27eb931c22313d4dd5c73b35358c0532d20b79e
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 8th 2017